Bug 156659 - [patch] periodic/daily/800.scrub-zfs fails on pool names containing '-'
Summary: [patch] periodic/daily/800.scrub-zfs fails on pool names containing '-'
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: conf (show other bugs)
Version: 8.2-STABLE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-04-26 10:40 UTC by jakob.alvermark
Modified: 2017-12-31 22:32 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jakob.alvermark 2011-04-26 10:40:02 UTC
When periodic daily script 800.scrub-zfs is run it fails on pools with a dash (-) in the pool name.


Scrubbing of zfs pools:
[: hby_threshold: bad number
  starting scrub of pool 'filsrv-hby':
     consult 'zpool status filsrv-hby' for the result

How-To-Repeat: Run 800.scrub-zfs on a machine with a zpool containing a dash in the pool name.
Comment 1 jhell 2011-04-26 23:19:57 UTC
It appears that the patch that is attached here is somewhat borked,
please follow the link to the patch instead.

-- 

 Regards, (jhell)
 Jason Hellenthal
Comment 2 jakob.alvermark 2011-04-27 08:51:57 UTC
Hi Jason,

I have applied the patch on three systems that has zpools with hyphens =
in their pool names.
There is no error message when executing it manually, and since the =
pools were scrubbed recently it does not scrub them (I have the =
threshold set to 7 days), which is the correct behavior, so it looks =
good so far.

Scrubbing of zfs pools:
   skipping scrubbing of pool 'filsrv-hby':
      last scrubbing is 0 days ago, threshold is set to 7 days


Thanks for you help!

Regars,
Jakob Alvermark

Jakob Alvermark
jakob.alvermark@bsdlabs.com
BSDLabs AB
Solna, Sweden
556759-7652
Comment 3 jakob.alvermark 2011-04-27 08:51:57 UTC
Hi Jason,

I have applied the patch on three systems that has zpools with hyphens =
in their pool names.
There is no error message when executing it manually, and since the =
pools were scrubbed recently it does not scrub them (I have the =
threshold set to 7 days), which is the correct behavior, so it looks =
good so far.

Scrubbing of zfs pools:
   skipping scrubbing of pool 'filsrv-hby':
      last scrubbing is 0 days ago, threshold is set to 7 days


Thanks for you help!

Regars,
Jakob Alvermark

Jakob Alvermark
jakob.alvermark@bsdlabs.com
BSDLabs AB
Solna, Sweden
556759-7652
Comment 4 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 07:59:24 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped